/*
Guide-Chèque; le 29/05/2020; V-01
Adapté a un chèque de la BNB, souche en haut.
Christian Fromentin pour MHK.
Le point de référence est le coin inférieur gauche du chèque. 
Les coordonnées de chaque case correspondent au coin inférieur et gauche de la dite case.
L'épaisseur du pli, c'est l'épaisseur qui reste de plastique au niveau de la rainure en V.
La rainure en V est une rainure de 90°.
L'épaisseur du rebord, c'est l'épaisseur qui viendra bloquer le guide-chèque au niveau bas 
et gauche du chèque.

L'impression 3D doit se faire rainure en V visible, de cette façon la surface en contact 
avec la main sera celle qui sera en contact avec le plateau.
Cela lui permettra d'être la plus lisse possible.
Pour rappel :
pt_X_xxxxxx, c'est de la gauche vers la droite du chèque
pt_Y_xxx, c'est du bas vers haut du chèque
*/

largeur = 175;
hauteur = 80;
epaisseur = 0.6;
hauteur_rebord = 0.6;
epaisseur_pli =0.15;

pt_X_MontantTxT_1 = 50;
pt_Y_MontantTxT_1 = 58.5;
largeur_MontantTxT_1 = 71;
hauteur_MontantTxT_1 = 5;

pt_X_MontantTxT_2 = 5;
pt_Y_MontantTxT_2 = 52;
largeur_MontantTxT_2 = 116;
hauteur_MontantTxT_2 = 5;

pt_X_Ordre = 6;
pt_Y_Ordre = 46;
largeur_Ordre = 115;
hauteur_Ordre = 5;

pt_X_Lieu = 90;
pt_Y_Lieu = 36.5;
largeur_Lieu = 31;
hauteur_Lieu = 6;

pt_X_Somme = 132;
pt_Y_Somme = 44;
largeur_Somme = 41;
hauteur_Somme = 9;

pt_X_Date = 133;
pt_Y_Date = 37;
largeur_Date = 40;
hauteur_Date = 5;

pt_X_Signature = 132;
pt_Y_Signature = 23;
largeur_Signature = 40;
hauteur_Signature = 9;


difference(){
    
cube(size=[largeur,hauteur,epaisseur],center = false);

translate([pt_X_MontantTxT_1,pt_Y_MontantTxT_1,-.5])
cube(size=[largeur_MontantTxT_1,hauteur_MontantTxT_1,epaisseur+1],center = false);

translate([pt_X_MontantTxT_2,pt_Y_MontantTxT_2,-.5])
cube(size=[largeur_MontantTxT_2,hauteur_MontantTxT_2,epaisseur+1],center = false);

translate([pt_X_Ordre,pt_Y_Ordre,-.5])
cube(size=[largeur_Ordre,hauteur_Ordre,epaisseur+1],center = false);
    
translate([pt_X_Lieu,pt_Y_Lieu,-.5])
cube(size=[largeur_Lieu,hauteur_Lieu,epaisseur+1],center = false);    

translate([pt_X_Somme,pt_Y_Somme,-.5])
cube(size=[largeur_Somme,hauteur_Somme,epaisseur+1],center = false); 
 
translate([pt_X_Date,pt_Y_Date,-.5])
cube(size=[largeur_Date,hauteur_Date,epaisseur+1],center = false); 

translate([pt_X_Signature,pt_Y_Signature,-.5])
cube(size=[largeur_Signature,hauteur_Signature,epaisseur+1],center = false);

}

translate([0,hauteur,0]) rotate([90,0,0]) linear_extrude(hauteur)  
polygon(points = [ [largeur, 0],[largeur+epaisseur-epaisseur_pli, epaisseur-epaisseur_pli],[largeur+(epaisseur-epaisseur_pli)*2, 0],[largeur+(epaisseur-epaisseur_pli)*2+hauteur_rebord, 0],[largeur+(epaisseur-epaisseur_pli)*2+hauteur_rebord, epaisseur],[largeur,epaisseur]]);


translate([largeur,0,0]) rotate([0,-90,0]) linear_extrude(largeur) 
polygon(points = [ [0, hauteur],[epaisseur-epaisseur_pli, hauteur+epaisseur-epaisseur_pli],[0,hauteur+(epaisseur-epaisseur_pli)*2 ],[0,hauteur+(epaisseur-epaisseur_pli)*2+hauteur_rebord],[epaisseur, hauteur+(epaisseur-epaisseur_pli)*2+hauteur_rebord],[epaisseur,hauteur]]);

